# studio::DirtyTrap Class Reference

`#include <workarea.h>`

List of all members.

## Public Member Functions

| DirtyTrap (WorkArea *work_area)
| ~DirtyTrap ()

## Friends

class | WorkArea

## Constructor & Destructor Documentation

DirtyTrap::DirtyTrap | ( | WorkArea * | work_area | ) |

References studio::WorkArea::dirty_trap_enabled, and studio::WorkArea::dirty_trap_queued.

DirtyTrap::~DirtyTrap | ( |  | ) |

References studio::WorkArea::dirty_trap_enabled, studio::WorkArea::dirty_trap_queued, and studio::WorkArea::queue_render_preview().

## Friends And Related Function Documentation

friend class WorkArea `[friend]`

The documentation for this class was generated from the following files:

- workarea.h
- workarea.cpp